cURL
curl --request GET \
--url https://api.useanima.sh/v1/billing/tier \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/billing/tier"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/billing/tier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tier": "free",
"name": "<string>",
"price": 123,
"limits": {
"messages": 123,
"agents": 123,
"domains": 123
},
"renewalDate": "2023-11-07T05:31:56Z",
"billingStatus": "active",
"cancelAtPeriodEnd": true
}API Reference
Get billingtier
GET
/
billing
/
tier
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Response
200 - application/json
OK
Subscription tier details including pricing and resource limits
Current subscription tier identifier
Available options:
free, starter, growth, enterprise Human-readable name of the subscription tier
Monthly price in cents, null for custom-priced tiers
Resource limits for this tier
Show child attributes
Show child attributes
ISO 8601 timestamp of the next billing cycle renewal
Current subscription status from Stripe, null if no subscription
Available options:
active, past_due, canceled, cancelled, incomplete, trialing, paused, payment_failed, none Whether the subscription is set to cancel at the end of the current period
